cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/public/get_funding_rate_value \
--header 'Content-Type: application/json' \
--data '
{
"id": 7617,
"jsonrpc": "2.0",
"method": "public/get_funding_rate_value",
"params": {
"end_timestamp": 1569974400000,
"instrument_name": "BTC-PERPETUAL",
"start_timestamp": 1569888000000
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/public/get_funding_rate_value"
payload = {
"id": 7617,
"jsonrpc": "2.0",
"method": "public/get_funding_rate_value",
"params": {
"end_timestamp": 1569974400000,
"instrument_name": "BTC-PERPETUAL",
"start_timestamp": 1569888000000
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 7617,
jsonrpc: '2.0',
method: 'public/get_funding_rate_value',
params: {
end_timestamp: 1569974400000,
instrument_name: 'BTC-PERPETUAL',
start_timestamp: 1569888000000
}
})
};
fetch('https://drb.coinbase.com/api/v2/public/get_funding_rate_value', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://drb.coinbase.com/api/v2/public/get_funding_rate_value",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'id' => 7617,
'jsonrpc' => '2.0',
'method' => 'public/get_funding_rate_value',
'params' => [
'end_timestamp' => 1569974400000,
'instrument_name' => 'BTC-PERPETUAL',
'start_timestamp' => 1569888000000
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://drb.coinbase.com/api/v2/public/get_funding_rate_value"
payload := strings.NewReader("{\n \"id\": 7617,\n \"jsonrpc\": \"2.0\",\n \"method\": \"public/get_funding_rate_value\",\n \"params\": {\n \"end_timestamp\": 1569974400000,\n \"instrument_name\": \"BTC-PERPETUAL\",\n \"start_timestamp\": 1569888000000\n }\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://drb.coinbase.com/api/v2/public/get_funding_rate_value")
.header("Content-Type", "application/json")
.body("{\n \"id\": 7617,\n \"jsonrpc\": \"2.0\",\n \"method\": \"public/get_funding_rate_value\",\n \"params\": {\n \"end_timestamp\": 1569974400000,\n \"instrument_name\": \"BTC-PERPETUAL\",\n \"start_timestamp\": 1569888000000\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://drb.coinbase.com/api/v2/public/get_funding_rate_value")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 7617,\n \"jsonrpc\": \"2.0\",\n \"method\": \"public/get_funding_rate_value\",\n \"params\": {\n \"end_timestamp\": 1569974400000,\n \"instrument_name\": \"BTC-PERPETUAL\",\n \"start_timestamp\": 1569888000000\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 7617,
"jsonrpc": "2.0",
"result": -0.00025056853702101664
}Market Data
public/get_funding_rate_value
Retrieves the funding rate (interest rate) value for a perpetual instrument over a specified time period. Funding rates are periodic payments exchanged between long and short positions in perpetual contracts.
This method is applicable only for PERPETUAL instruments. The funding rate is typically expressed as a percentage and is used to keep the perpetual contract price aligned with the underlying index price.
GET
/
public
/
get_funding_rate_value
cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/public/get_funding_rate_value \
--header 'Content-Type: application/json' \
--data '
{
"id": 7617,
"jsonrpc": "2.0",
"method": "public/get_funding_rate_value",
"params": {
"end_timestamp": 1569974400000,
"instrument_name": "BTC-PERPETUAL",
"start_timestamp": 1569888000000
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/public/get_funding_rate_value"
payload = {
"id": 7617,
"jsonrpc": "2.0",
"method": "public/get_funding_rate_value",
"params": {
"end_timestamp": 1569974400000,
"instrument_name": "BTC-PERPETUAL",
"start_timestamp": 1569888000000
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 7617,
jsonrpc: '2.0',
method: 'public/get_funding_rate_value',
params: {
end_timestamp: 1569974400000,
instrument_name: 'BTC-PERPETUAL',
start_timestamp: 1569888000000
}
})
};
fetch('https://drb.coinbase.com/api/v2/public/get_funding_rate_value', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://drb.coinbase.com/api/v2/public/get_funding_rate_value",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'id' => 7617,
'jsonrpc' => '2.0',
'method' => 'public/get_funding_rate_value',
'params' => [
'end_timestamp' => 1569974400000,
'instrument_name' => 'BTC-PERPETUAL',
'start_timestamp' => 1569888000000
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://drb.coinbase.com/api/v2/public/get_funding_rate_value"
payload := strings.NewReader("{\n \"id\": 7617,\n \"jsonrpc\": \"2.0\",\n \"method\": \"public/get_funding_rate_value\",\n \"params\": {\n \"end_timestamp\": 1569974400000,\n \"instrument_name\": \"BTC-PERPETUAL\",\n \"start_timestamp\": 1569888000000\n }\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://drb.coinbase.com/api/v2/public/get_funding_rate_value")
.header("Content-Type", "application/json")
.body("{\n \"id\": 7617,\n \"jsonrpc\": \"2.0\",\n \"method\": \"public/get_funding_rate_value\",\n \"params\": {\n \"end_timestamp\": 1569974400000,\n \"instrument_name\": \"BTC-PERPETUAL\",\n \"start_timestamp\": 1569888000000\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://drb.coinbase.com/api/v2/public/get_funding_rate_value")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 7617,\n \"jsonrpc\": \"2.0\",\n \"method\": \"public/get_funding_rate_value\",\n \"params\": {\n \"end_timestamp\": 1569974400000,\n \"instrument_name\": \"BTC-PERPETUAL\",\n \"start_timestamp\": 1569888000000\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 7617,
"jsonrpc": "2.0",
"result": -0.00025056853702101664
}Query Parameters
Was this page helpful?